Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## baseCode.dataFilter
Class RowMissingFilter

    java.lang.Object
      baseCode.dataFilter.AbstractFilter
          baseCode.dataFilter.RowMissingFilter

All Implemented Interfaces:
  Filter

public class RowMissingFilter
extends AbstractFilter
implements Filter

Remove rows from a matrix that are missing too many points.

Copyright (c) 2004 Columbia University

Version:
  $Id: RowMissingFilter.java,v 1.4 2004/07/27 03:18:58 pavlidis Exp $
Author:
  Paul Pavlidis

Field Summary

Fields inherited from class baseCode.dataFilter.AbstractFilter
`log`

Constructor Summary
`RowMissingFilter()`

Method Summary
`NamedMatrix` | `filter(NamedMatrix data)` Filter the data
`void` | `setMaxFractionRemoved(double f)` Set the maximum fraction of rows which will be removed from the data set.
`void` | `setMinPresentCount(int m)` Set the minimum number of values that must be present in each row.
`void` | `setMinPresentFraction(double k)`

Methods inherited from class baseCode.dataFilter.AbstractFilter
`getOutputMatrix`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RowMissingFilter

    public RowMissingFilter()

Method Detail

### setMinPresentCount

    public void setMinPresentCount(int m)

  Set the minimum number of values that must be present in each row. The default value is 5. This is always overridden by a hard-coded value (currently 2) that must be present for a row to be kept; but this value is in turn overridden by the maxfractionRemoved.

  Parameters:
    `m` - int

### setMinPresentFraction

    public void setMinPresentFraction(double k)

  Parameters:
    `k` - double the fraction of values to be removed.

### setMaxFractionRemoved

    public void setMaxFractionRemoved(double f)

  Set the maximum fraction of rows which will be removed from the data set. The default value is 0.3 Set it to 1.0 to remove this restriction.

  Parameters:
    `f` - double

### filter

    public NamedMatrix filter(NamedMatrix data)

  Description copied from interface: `Filter`
  Filter the data

  Specified by:
    `filter` in interface `Filter`
  Parameters:
    `data` - a NamedMatrix. Some types of filters require that this be of a particular type of implementation of the Filter interface.
  Returns:
    The resulting filtered matrix

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2005 Columbia University. All Rights Reserved.